<template>

<div class=" px-0 mx-0">
<h2 class="pt-3 pb-3 bordobottom text-xs-center">{{ $t('Allevamento') }}</h2>
      <v-carousel height="550px" light hide-controls interval="600000">
        <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('passaportobiologico_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="Allevamento.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="false" 
            :mappa="true"
            :stepId="'passaportobiologico_title'"
            :stepDesc="'passaportobiologico_description'"
            :txhash="'99999999999999999'"
            :type="'12345678998765'"
            :timestamp="'999999999999999999'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('passaportobiologico_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="230" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
          <h4 class="header-carousel mt-2 mb-2">{{ $t('informazionisulluogo_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>

            <intestazione
            immagine="informazionisulluogo.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="false" 
            :mappa="true"
            :stepId="'informazionisulluogo_title'"
            :stepDesc="'informazionisulluogo_description'"
            :txhash="'99999999999999999'"
            :type="'12345678998765'"
            :timestamp="'999999999999999999'"
            />
                </v-flex>

              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('informazionisulluogo_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="230" class="text-xs-center"></read-more>

                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
          <h4 class="header-carousel mt-2 mb-2">{{ $t('informazionidisostenibilita_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                              <intestazione
            immagine="informazionidisostenibilita.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="false" 
            :mappa="true"
            :stepId="'informazionidisostenibilita_title'"
            :stepDesc="'informazionidisostenibilita_description'"
            :txhash="'99999999999999999'"
            :type="'12345678998765'"
            :timestamp="'999999999999999999'"
            />
                </v-flex>
              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('informazionidisostenibilita_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="230" class="text-xs-center"></read-more>

                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
      </v-carousel>
</div>

</template>
<script>

import intestazione from '@/components/intestazione'
export default {
  name: 'caroselloAboutAllevamento',
  props: {
  },
  data () {
    return {
    }
  },
  components: {
    intestazione
  }

}
</script>
<style>
.v-carousel {
  box-shadow: none;
  -webkit-box-shadow: none;
}
.v-carousel__controls{
  background: none;
}
.v-btn .v-btn__content .v-icon {
  color: #ffda00
}
.theme--light.v-btn{
  color: #000000;
}
.theme--light.v-btn.v-btn--active{
  opacity: 1 !important;
}
.theme--light.v-sheet{
    background-color: transparent;
    border-color: transparent;
    color: transparent;
}
.img-carusel{
  width: 100%;
  height: 100%;
  border-radius: 20px 20px 20px 20px;
  position: relative;
}
button.btn-dettagli{
  margin-top:10%;
}
.btn-dettagli {
  margin: auto;
  background-color: #ffda00;
  color: #000000;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
}
.v-carousel__controls__item {
    margin: 0 2px !important;
}
.header-carousel{
  text-align: center;
}
.bg-color{
  background-color: #ffffd7;
}

/* styles for '...' */ 
.block-with-text {
  /* hide text if it more than N lines  */
  overflow: hidden;
  /* for set '...' in absolute position */
  position: relative; 
  /* use this value to count block height */
  line-height: 1.2em;
  /* max-height = line-height (1.2) * lines max number (3) */
  max-height: 3.6em; 
  /* fix problem when last visible word doesn't adjoin right side  */
  text-align: justify;  
  /* place for '...' */
  margin-right: -1em;
  padding-right: 1em;
}
/* create the ... */
.block-with-text:before {
  /* points in the end */
  content: '...';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of block */
  right: 0;
  bottom: 0;
}
/* hide ... if we have text, which is less than or equal to max lines */
.block-with-text:after {
  /* points in the end */
  content: '';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of text */
  right: 0;
  /* set width and height */
  width: 1em;
  height: 1em;
  margin-top: 0.2em;
  /* bg color = bg color under block */
  background: white;
}

@media only screen and (min-width: 460px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightblue;*/
    height:500px!important;
  }
}
@media only screen and (min-width: 860px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightcoral;*/
    height:550px!important;
  }
}
</style>